Loading...
Searching...
No Matches
ParallelRVar.h File Reference

Method for checking if it's safe to parallelize an update definition across a reduction variable. More...

`#include <string>`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

bool | Halide::Internal::can_parallelize_rvar (const std::string &rvar, const std::string &func, const Definition &r)
| Returns whether or not Halide can prove that it is safe to parallelize an update definition across a specific variable.

## Detailed Description

Method for checking if it's safe to parallelize an update definition across a reduction variable.

Definition in file ParallelRVar.h.